Actualizar un cliente padre existente
curl --request PUT \
--url https://api.raul.ugps.io/api/v1/client_father/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"<string>"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/update/{id}"
payload = {
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: '<string>',
fantasyName: '<string>',
rut: '<string>',
email: '<string>',
phone: '<string>',
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['<string>']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.raul.ugps.io/api/v1/client_father/update/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fatherName' => '<string>',
'fantasyName' => '<string>',
'rut' => '<string>',
'email' => '<string>',
'phone' => '<string>',
'factura' => true,
'ordenCompra' => true,
'requiresHes' => true,
'childrenIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.raul.ugps.io/api/v1/client_father/update/{id}"
payload := strings.NewReader("{\n \"fatherName\": \"<string>\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.raul.ugps.io/api/v1/client_father/update/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fatherName\": \"<string>\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.raul.ugps.io/api/v1/client_father/update/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fatherName\": \"<string>\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
]
}Client Father
Actualizar un cliente padre existente
Operacion: Actualizar un cliente padre existente.
PUT
/
api
/
v1
/
client_father
/
update
/
{id}
Actualizar un cliente padre existente
curl --request PUT \
--url https://api.raul.ugps.io/api/v1/client_father/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"<string>"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/update/{id}"
payload = {
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: '<string>',
fantasyName: '<string>',
rut: '<string>',
email: '<string>',
phone: '<string>',
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['<string>']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.raul.ugps.io/api/v1/client_father/update/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fatherName' => '<string>',
'fantasyName' => '<string>',
'rut' => '<string>',
'email' => '<string>',
'phone' => '<string>',
'factura' => true,
'ordenCompra' => true,
'requiresHes' => true,
'childrenIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.raul.ugps.io/api/v1/client_father/update/{id}"
payload := strings.NewReader("{\n \"fatherName\": \"<string>\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.raul.ugps.io/api/v1/client_father/update/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fatherName\": \"<string>\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.raul.ugps.io/api/v1/client_father/update/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fatherName\": \"<string>\",\n \"fantasyName\": \"<string>\",\n \"rut\": \"<string>\",\n \"email\": \"<string>\",\n \"phone\": \"<string>\",\n \"factura\": true,\n \"ordenCompra\": true,\n \"requiresHes\": true,\n \"childrenIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
]
}Body
application/json
Response
Cliente padre actualizado exitosamente